org.hibernate.search.query.engine.impl

## Class EntityInfoImpl

- java.lang.Object
- - org.hibernate.search.query.engine.impl.EntityInfoImpl

- All Implemented Interfaces:
    EntityInfo

      public class EntityInfoImpl
      extends Object
      implements EntityInfo

  Wrapper class describing the loading of an element.
  Author:
    Emmanuel Bernard, Hardy Ferentschik

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.search.query.engine.spi.EntityInfo

      `ENTITY_PLACEHOLDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityInfoImpl(IndexedTypeIdentifier type, String idName, Serializable id, Object[] projection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getEntityInstance()`
    `Serializable` | `getId()`
    `String` | `getIdName()`
    `Object[]` | `getProjection()`
    `IndexedTypeIdentifier` | `getType()`
    `void` | `populateWithEntityInstance(Object entity)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityInfoImpl

          public EntityInfoImpl(IndexedTypeIdentifier type,
                                String idName,
                                Serializable id,
                                Object[] projection)

  - ### Method Detail

    - #### getType

          public IndexedTypeIdentifier getType()

      Specified by:
        `getType` in interface `EntityInfo`
      Returns:
        The entity type.

    - #### getId

          public Serializable getId()

      Specified by:
        `getId` in interface `EntityInfo`
      Returns:
        The entity identifier.

    - #### getIdName

          public String getIdName()

      Specified by:
        `getIdName` in interface `EntityInfo`

    - #### getProjection

          public Object[] getProjection()

      Specified by:
        `getProjection` in interface `EntityInfo`

    - #### getEntityInstance

          public Object getEntityInstance()

      Specified by:
        `getEntityInstance` in interface `EntityInfo`

    - #### populateWithEntityInstance

          public void populateWithEntityInstance(Object entity)

      Specified by:
        `populateWithEntityInstance` in interface `EntityInfo`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved